{% extends 'base.html.twig' %}
{% block header_title %}Gestion des utilisateurs{% endblock %}
{% block header_subtitle %}Liste des utilisateurs{% endblock %}
{% block head_content %}
    <div class="toggle-wrap nk-block-tools-toggle">
        <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
        <div class="toggle-expand-content" data-content="pageMenu">
            <ul class="nk-block-tools g-3">
                <li class="nk-block-tools-opt"><a href="{{ path('app_user_create') }}" class="btn btn-primary"><em class="icon ni ni-user-add-fill"></em><span>Inviter un utilisateur</span></a></li>
            </ul>
        </div>
    </div>
{% endblock %}
{% block body %}
    <div class="col-xxl-12 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Comptes utilisateurs</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner p-0 border-top">
                <div class="nk-tb-list nk-tb-orders">
                    <div class="nk-tb-item nk-tb-head">
                        <div class="nk-tb-col tb-col"><span>Nom</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Email</span></div>
                        <div class="nk-tb-col tb-col-lg"><span>Droit(s)</span></div>
                        <div class="nk-tb-col tb-col-lg"><span>Statut</span></div>
                        <div class="nk-tb-col"><span>&nbsp;</span></div>
                    </div>
                    {% for user in users %}
                        <div class="nk-tb-item">
                            <div class="nk-tb-col">
                                <div class="user-card">
                                    <div class="user-name">
                                        <span class="tb-lead">{{ user.fullName }}</span>
                                    </div>
                                </div>
                            </div>
                            <div class="nk-tb-col tb-col-md">
                                <span class="tb-sub">{{ user.email }}</span>
                            </div>
                            <div class="nk-tb-col tb-col-lg">
                                {% for role in user.roles %}
                                    <span class="badge bg-primary">{{ role|role }}</span>
                                {% endfor %}

                            </div>
                            <div class="nk-tb-col tb-col-lg">
                                {% if user.isActive %}
                                    <span class="badge badge-dot badge-dot-xs bg-success">Activé</span>
                                    {% else %}
                                        <span class="badge badge-dot badge-dot-xs bg-warning">En attente</span>
                                {% endif %}

                            </div>
                            <div class="nk-tb-col nk-tb-col-action">
                                <div class="dropdown">
                                    <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                    <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                                        <ul class="link-list-plain">
                                            <li><a href="{{ path('app_user_update', {'id': user.id})  }}">Modifier</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}

                </div>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}
